SEARCH
NEW RPMS
DIRECTORIES
ABOUT
FAQ
VARIOUS
BLOG
DONATE


YUM REPOSITORY

 
 
Changelog for libyui-3.2.1-1.fc23.x86_64.rpm :
Thu Aug 27 14:00:00 2015 Björn Esser - 3.2.1-1
- new upstream release

Thu Aug 27 14:00:00 2015 Björn Esser - 3.2.1-0.1
- bootstrapping for so-name-bump

Wed Jul 29 14:00:00 2015 Fedora Release Engineering - 3.1.5-6
- Rebuilt for https://fedoraproject.org/wiki/Changes/F23Boost159

Wed Jul 22 14:00:00 2015 David Tardon - 3.1.5-5
- rebuild for Boost 1.58

Wed Jun 17 14:00:00 2015 Fedora Release Engineering - 3.1.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

Sun May 3 14:00:00 2015 Kalev Lember - 3.1.5-3
- Rebuilt for GCC 5 C++11 ABI change

Mon Jan 26 13:00:00 2015 Petr Machata - 3.1.5-2
- Rebuild for boost 1.57.0

Mon Jan 19 13:00:00 2015 Björn Esser - 3.1.5-1
- new upstream release (#1183540)
- release-build

Mon Jan 19 13:00:00 2015 Björn Esser - 3.1.5-0.1
- new upstream release (#1183540)
- bootstrap-build for so-name-bump
- purged ldconf-override
- keep doc-files in unfied %{_pkgdocdir}
- small improvements to spec-file

Sun Aug 17 14:00:00 2014 Fedora Release Engineering - 3.0.13-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

Sat Jun 7 14:00:00 2014 Fedora Release Engineering - 3.0.13-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

Sun May 25 14:00:00 2014 Björn Esser - 3.0.13-6
- fix dir: ldconf.so.conf.d ---> ld.so.conf.d

Sat May 24 14:00:00 2014 Björn Esser - 3.0.13-5
- add %{_sysconfdir}/ldconf.so.conf.d/%{name}-%{_arch}.conf
- add COPYING.gpl-3

Sat May 24 14:00:00 2014 Björn Esser - 3.0.13-4
- no need to provide `%{name}-devel-common`

Fri May 23 14:00:00 2014 Björn Esser - 3.0.13-3
- rebuilt with dependency on yui-ui with strict abi

Fri May 23 14:00:00 2014 Björn Esser - 3.0.13-2
- remove build of pdf-autodocs
- minor improvents on spec

Fri May 23 14:00:00 2014 Petr Machata - 3.0.13-1
- Rebuild for boost 1.55.0

Tue Mar 18 13:00:00 2014 Björn Esser - 3.0.13-0
- new upstream release (#1048445)

Fri Aug 30 14:00:00 2013 Björn Esser - 3.0.10-1
- new upstream version

Tue Jul 30 14:00:00 2013 Petr Machata - 3.0.9-2
- Rebuild for boost 1.54.0

Sat Jul 27 14:00:00 2013 Björn Esser - 3.0.9-1
- new upstream version
- restructured spec for better readability
- removed %commit, using direct github-tarball
- removed hardening flags and Group-tag
- removed CMake-Requires from devel-pkg
- added devel-common-pkg
- fixed License
- installing docs manually, adding PDF to doc-pkg

Thu May 16 14:00:00 2013 Björn Esser - 3.0.5-2
- fixed -doc licensing html/ is LGPLv2 or LGPLv3 examples/ is MIT

Thu May 16 14:00:00 2013 Björn Esser - 3.0.5-1
- new upstream version: obsoletes Patch0/1
- modified Requires: yui_ui to to depend on %{major_so_ver}
- install lib
*.so.%{major_so_ver}
* in main-pkg not lib
*.so.
*
- add `-DRESPECT_FLAGS=ON`

Wed May 15 14:00:00 2013 Björn Esser - 3.0.4-2
- readded Requires: yui_ui with conditional for ABI changes as proposed:
https://bugzilla.redhat.com/show_bug.cgi?id=959926#c9

Wed May 15 14:00:00 2013 Björn Esser - 3.0.4-1
- new upstream version
- add Patch1 to skip generation of pdf-docs if doxygen-latex is installed.
- added needed bootstrap to prep

Tue May 14 14:00:00 2013 Björn Esser - 3.0.3-3
- removed macro from Patch0.
- fixed typo -> s/pakage/package/
- removed Provides/Requires: yui_ui

Mon May 13 14:00:00 2013 Björn Esser - 3.0.3-2
- fixup as suggested in https://bugzilla.redhat.com/show_bug.cgi?id=959926#c2
- add Patch0 to obey conventions about the compiler flags set in the system
rpm configuration. See:
https://fedoraproject.org/wiki/Packaging:Guidelines#Compiler_flags
- fixup as suggested in https://bugzilla.redhat.com/show_bug.cgi?id=959926#c4
- build a hardened version just in case
- add Requires: yui-ui, because libyui without UI-plugins is as
useful as a car without gas and tires.
- add -devel Provides: yui-ui to provide a FAKE yui-ui to
satisfy dependencies during rpmbuild of the UI-plugins and made sure this
is known by documenting this in libyui-devel description.
- add -devel Requires: cmake to solve the /usr/lib
*/cmake/ ownership-problem,
which is needed for libyui
*-builds anyways.

Mon May 6 14:00:00 2013 Björn Esser - 3.0.3-1
- Initial RPM release.